local libflag = false
if type(lib) == "table" and lib[0] == "LME" then
	if not lib.is_exist("velociraptor") then
		lib.register("plugins/Velociraptor/dino.ini")
		return
	end
	
	if not lib.is_ready("velociraptor") then
		return
	end
	
	libflag = true
end

local size = gkini.ReadInt("velocity", "size", radarblipscale or 32)
local colorR = gkini.ReadInt("velocity", "red", 100)
local colorG = gkini.ReadInt("velocity", "green", 100)
local colorB = gkini.ReadInt("velocity", "blue", 100)
local colorA = gkini.ReadInt("velocity", "alpha", 100)



--[[
if radar.SetVelocityDirIcon then
	radar.SetVelocityDirIconSize(32*radarblipscale)
	radar.SetVelocityDirIcon(IMAGE_DIR..'hud_new_aimdir.png')
	radar.SetVelocityDirIconColor(1,1,1,1,'&')
	radar.EnableVelocityDirIcon(HUD.visibility.showveldir)
end

]]--

local function setNewVelocityIcon()
	if radar.SetVelocityDirIcon then --original UI does this, so probably important?
		radar.SetVelocityDirIconSize(size)
		radar.SetVelocityDirIcon("plugins/Velociraptor/velocity_indicator.png")
		radar.SetVelocityDirIconColor(colorR/100, colorG/100, colorB/100, colorA/100, "&")
		radar.EnableVelocityDirIcon(HUD.visibility.showveldir)
	end
end

RegisterEvent(setNewVelocityIcon, "HUD_SHOW")





local function setSizeMod(n)
	n = tonumber(n or 1)
	if n < 1 then
		n = 1
	end
	gkini.WriteInt("velocity", "size", n)
	size = n
	setNewVelocityIcon()
end

local function setColor(...)
	if ... == nil then
		print("color expects a number 1-100 in the format 100 100 100 100 (red, blue, green, alpha).")
		return
	end
	
	local colors = {...}
	colors[1] = tonumber(colors[1] or 100) --red
	colors[2] = tonumber(colors[2] or 100) --green
	colors[3] = tonumber(colors[3] or 100) --blue
	colors[4] = tonumber(colors[4] or 100) --alpha transparency
	
	gkini.WriteInt("velocity", "red", colors[1])
	gkini.WriteInt("velocity", "green", colors[2])
	gkini.WriteInt("velocity", "blue", colors[3])
	gkini.WriteInt("velocity", "alpha", colors[4])
	colorR = colors[1]
	colorG = colors[2]
	colorB = colors[3]
	colorA = colors[4]
	setNewVelocityIcon()
end

local function commandHandler(_, data)
	if data and type(data) == "table" then
		if data[1] == "size" then
			setSizeMod(data[2])
		elseif data[1] == "color" then
			setColor(data[2], data[3], data[4], data[5])
		else
			print("Valid options are 'size' and 'color'")
		end
	else
		print("The Velociraptor mod lets you change your velocity indicator's Icon, size, and color. use /setvel [color|size].")
	end
end

RegisterUserCommand("setvel", commandHandler)

print("Use /setvel to access the velociraptor mod!")